<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' ); }

$homefort_theme_config = homefort_theme_config();
$homefort_sections_list = homefort_get_sections();



$options = array(
	'footer' => array(
		'title'   => esc_html__( 'Footer', 'homefort' ),
		'type'    => 'tab',
		'options' => array(

			'footer-box-1' => array(
				'title'   => esc_html__( 'Widgets', 'homefort' ),
				'type'    => 'tab',
				'options' => array(
					'footer-layout-default'    => array(
						'label' => esc_html__( 'Footer Default Style', 'homefort' ),
						'type'    => 'select',
						'desc'   => esc_html__( 'Footer block before copyright. Edited in Widgets menu.', 'homefort' ),
						'choices' => $homefort_theme_config['footer'],
						'value' => $homefort_theme_config['footer-default'],
					),						
					'footer_widgets'    => array(
						'label' => esc_html__( 'Enable Footer Widgets', 'homefort' ),
						'desc'   => esc_html__( 'Widgets controled in Appearance -> Widgets. Column will be hidden, when no active widgets exist', 'homefort' ),	
						'type'  => 'checkbox',
						'value'	=> 'true',
					),					
					'footer-parallax'    => array(
						'label' => esc_html__( 'Footer Parallax', 'homefort' ),
						'type'    => 'select',							
						'choices' => array(
							'disabled'  => esc_html__( 'Disabled', 'homefort' ),
							'enabled' => esc_html__( 'Enabled', 'homefort' ),
						),
						'value' => 'disabled',
					),						
					'footer_bg'    => array(
						'label' => esc_html__( 'Footer Background', 'homefort' ),
						'type'  => 'upload',
					),		
					'footer_black_bg'    => array(
						'label' => esc_html__( 'Footer Black Background', 'homefort' ),
						'type'  => 'upload',
					),						
					'footer-box-1-1' => array(
						'title'   => esc_html__( 'Desktop widgets visibility', 'homefort' ),
						'type'    => 'box',
						'options' => array(

							'footer_1_hide'    => array(
								'label' => esc_html__( 'Footer 1', 'homefort' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'homefort'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'homefort'),
								),						
							),
							'footer_2_hide'    => array(
								'label' => esc_html__( 'Footer 2', 'homefort' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'homefort'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'homefort'),
								),	
							),
							'footer_3_hide'    => array(
								'label' => esc_html__( 'Footer 3', 'homefort' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'homefort'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'homefort'),
								),	
							),
							'footer_4_hide'    => array(
								'label' => esc_html__( 'Footer 4', 'homefort' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'homefort'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'homefort'),
								),	
							),
						)
					),
					'footer-box-1-2' => array(
						'title'   => esc_html__( 'Notebook widgets visibility', 'homefort' ),
						'type'    => 'box',
						'options' => array(

							'footer_1__hide_md'    => array(
								'label' => esc_html__( 'Footer 1', 'homefort' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'homefort'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'homefort'),
								),						
							),
							'footer_2_hide_md'    => array(
								'label' => esc_html__( 'Footer 2', 'homefort' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'homefort'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'homefort'),
								),	
							),
							'footer_3_hide_md'    => array(
								'label' => esc_html__( 'Footer 3', 'homefort' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'homefort'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'homefort'),
								),	
							),
							'footer_4_hide_md'    => array(
								'label' => esc_html__( 'Footer 4', 'homefort' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'homefort'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'homefort'),
								),	
							),
						)
					),					
					'footer-box-1-3' => array(
						'title'   => esc_html__( 'Mobile widgets visibility', 'homefort' ),
						'type'    => 'box',
						'options' => array(
							'footer_1_hide_mobile'    => array(
								'label' => esc_html__( 'Footer 1', 'homefort' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'homefort'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'homefort'),
								),
							),
							'footer_2_hide_mobile'    => array(
								'label' => esc_html__( 'Footer 2', 'homefort' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'homefort'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'homefort'),
								),
							),
							'footer_3_hide_mobile'    => array(
								'label' => esc_html__( 'Footer 3', 'homefort' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'homefort'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'homefort'),
								),
							),
							'footer_4_hide_mobile'    => array(
								'label' => esc_html__( 'Footer 4', 'homefort' ),
								'type'  => 'switch',
								'value'	=> 'show',
								'left-choice' => array(
									'value' => 'hide',
									'label' => esc_html__('Hide', 'homefort'),
								),
								'right-choice' => array(
									'value' => 'show',
									'label' => esc_html__('Show', 'homefort'),
								),
							),														
						)
					)
				),
			),

			'footer-box-before-footer' => array(
				'title'   => esc_html__( 'Before Footer', 'homefort' ),
				'type'    => 'tab',
				'options' => array(
					'before-footer-sections'    => array(
						'html' => esc_html__( 'You can edit all items in Sections menu of dashboard.', 'homefort' ),
						'type'  => 'html',
					),							
					'before-footer-section'    => array(
						'label' => esc_html__( 'Before Footer block', 'homefort' ),
						'desc' => esc_html__( 'Section displayed before footer blocks. You can hide in on certain page in page settings.', 'homefort' ),
						'type'    => 'select',
						'choices' => array('' => esc_html__( 'None / Hidden' , 'homefort' ) ) + $homefort_sections_list['before_footer'],						
						'value'	=> '',
					),
			
				),
			),			
			'footer-box-subscribe' => array(
				'title'   => esc_html__( 'Subscribe', 'homefort' ),
				'type'    => 'tab',
				'options' => array(
					'footer-sections'    => array(
						'html' => esc_html__( 'You can edit all items in Sections menu of dashboard.', 'homefort' ),
						'type'  => 'html',
					),							
					'subscribe-section'    => array(
						'label' => esc_html__( 'Subscribe block', 'homefort' ),
						'desc' => esc_html__( 'Section displayed before widgets on every page. You can hide in on certain page in page settings.', 'homefort' ),
						'type'    => 'select',
						'choices' => array('' => esc_html__( 'None / Hidden' , 'homefort' ) ) + $homefort_sections_list['subscribe'],
						'value'	=> '',
					),
			
				),
			),		
			'footer-box-2' => array(
				'title'   => esc_html__( 'Go Top', 'homefort' ),
				'type'    => 'tab',
				'options' => array(															
					'go_top_visibility'    => array(
						'label' => esc_html__( 'Go Top Visibility', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'visible'  => esc_html__( 'Always visible', 'homefort' ),
							'desktop' => esc_html__( 'Desktop Only', 'homefort' ),
							'mobile' => esc_html__( 'Mobile Only', 'homefort' ),
							'hidden' => esc_html__( 'Hidden', 'homefort' ),
						),						
						'value'	=> 'visible',
					),		
					'go_top_pos'    => array(
						'label' => esc_html__( 'Go Top Position', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'floating'  => esc_html__( 'Floating', 'homefort' ),
							'static' => esc_html__( 'Static at the footer', 'homefort' ),
						),						
						'value'	=> 'floating',
					),		
					'go_top_img'    => array(
						'label' => esc_html__( 'Go Top Image', 'homefort' ),
						'type'  => 'upload',
					),		
					'go_top_icon'    => array(
						'label' => esc_html__( 'Go Top Icon', 'homefort' ),
						'type'  => 'icon-v2',
					),	
					'go_top_rotate'    => array(
						'label' => esc_html__( 'Rotate Icon', 'homefort' ),
						'type'  => 'switch',
					),										
					'go_top_text'    => array(
						'label' => esc_html__( 'Go Top Text', 'homefort' ),
						'type'  => 'text',
					),		
																
				),
			),
			'footer-box-3' => array(
				'title'   => esc_html__( 'Copyrights', 'homefort' ),
				'type'    => 'tab',
				'options' => array(																							
					'copyrights'    => array(
						'label' => esc_html__( 'Copyrights', 'homefort' ),
						'type'  => 'wp-editor',
					),									
				),
			),					
		),
	),	
);


