<?php if ( ! defined( 'FW' ) ) { die( 'Forbidden' ); }

$homefort_theme_config = homefort_theme_config();
$homefort_sections_list = homefort_get_sections();

$navbar_custom_assign = array();

if ( !empty( $homefort_theme_config['navbar'] ) AND is_array($homefort_theme_config['navbar']) AND sizeof( $homefort_theme_config['navbar']) > 1 ) {

	$menus = get_terms('nav_menu');
	if ( !empty($menus) ) {

		$list = array();
		foreach ( $menus as $item ) {

			$list[$item->term_id] = $item->name;
		}

		foreach ( $homefort_theme_config['navbar'] as $key => $val) {

			$navbar_custom_assign['navbar-'.$key.'-assign'] = array(
				'label' => sprintf( esc_html__( 'Navbar %s Assign', 'homefort' ), ucwords($key) ),
				'type'    => 'select',
				'desc' => esc_html__( 'You can assign additional menus for inner navbar.', 'homefort' ),
				'value' => 'default',
				'choices' => array('default' => esc_html__( 'Default', 'homefort' )) + $list,
			);
		}

		$navbar_custom_assign = array();
	}
}

$options = array(
	'header' => array(
		'title'   => esc_html__( 'Header', 'homefort' ),
		'type'    => 'tab',
		'options' => array(
			'header-box-2' => array(
				'title'   => esc_html__( 'Navbar', 'homefort' ),
				'type'    => 'tab',
				'options' => array(
					'navbar-default'    => array(
						'label' => esc_html__( 'Navbar Default', 'homefort' ),
						'type'    => 'select',
						'value' => $homefort_theme_config['navbar-default'],
						'choices' => $homefort_theme_config['navbar'],
					),	
					'navbar-default-force'    => array(
						'label' => esc_html__( 'Navbar Default Override', 'homefort' ),
						'desc'   => esc_html__( 'By default every page can have unqiue navbar setting. You can override them here.', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'disabled' => esc_html__( 'Disabled. Every page uses its own settings', 'homefort' ),
							'force'  => esc_html__( 'Enabled. Override all site pages and use Navbar Default', 'homefort' ),
						),
						'value' => 'disabled',
					),						
					'navbar-affix'    => array(
						'label' => esc_html__( 'Navbar Sticked', 'homefort' ),
						'desc'   => esc_html__( 'May not work with all navbar types', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'' => esc_html__( 'Allways Static', 'homefort' ),
							'affix'  => esc_html__( 'Sticked', 'homefort' ),
						),
						'value' => '',
					),
					'navbar-breakpoint'    => array(
						'label' => esc_html__( 'Navbar Mobile Breakpoint, px', 'homefort' ),
						'desc'   => esc_html__( 'Mobile menu will be displayed in viewports below this value', 'homefort' ),
						'type'    => 'text',
						'value' => '1198',
					),												
					$navbar_custom_assign,
				)
			),
			'header-box-topbar' => array(
				'title'   => esc_html__( 'Topbar', 'homefort' ),
				'type'    => 'tab',
				'options' => array(
					'topbar-info'    => array(
						'label' => ' ',
						'type'    => 'html',
						'html' => esc_html__( 'You can edit topbar in Sections menu of dashboard (on the left)', 'homefort' ),
					),					
					'topbar'    => array(
						'label' => esc_html__( 'Topbar visibility', 'homefort' ),
						'desc'   => esc_html__( 'You can edit topbar layout in Sections menu', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'visible'  => esc_html__( 'Always Visible', 'homefort' ),
							'desktop'  => esc_html__( 'Desktop Visible', 'homefort' ),
							'desktop-tablet'  => esc_html__( 'Desktop and Tablet Visible', 'homefort' ),
							'mobile'  => esc_html__( 'Mobile only Visible', 'homefort' ),
							'hidden' => esc_html__( 'Hidden', 'homefort' ),
						),
						'value' => 'hidden',
					),					
					'topbar-section'    => array(
						'label' => esc_html__( 'Topbar section', 'homefort' ),
						'desc' => esc_html__( 'You can edit it in Sections menu of dashboard.', 'homefort' ),
						'type'    => 'select',
						'choices' => array('' => 'None / Hidden') + $homefort_sections_list['top_bar'],						
						'value'	=> '',
					),										
				)
			),			
			'header-box-icons' => array(
				'title'   => esc_html__( 'Icons and Elements', 'homefort' ),
				'type'    => 'tab',
				'options' => array(		
					'icons-info'    => array(
						'label' => ' ',
						'type'    => 'html',
						'html' => esc_html__( 'Icons can be displayed in topbar using shortcode: [lte-navbar-icons]', 'homefort' ),
					),																
					'navbar-icons' => array(
		                'label' => esc_html__( 'Navbar Icons', 'homefort' ),
		                'desc' => esc_html__( 'Displayed on right side of navbars', 'homefort' ),
		                'type' => 'addable-box',
		                'value' => array(),
		                'box-options' => array(
							'type'        => array(
								'type'         => 'multi-picker',
								'label'        => false,
								'desc'         => false,
								'picker'       => array(
									'type_radio' => array(
										'label'   => esc_html__( 'Type', 'homefort' ),
										'type'    => 'radio',
										'choices' => array(
											'search' => esc_html__( 'Search', 'homefort' ),
											'basket'  => esc_html__( 'WooCommerce Cart', 'homefort' ),
											'profile'  => esc_html__( 'User Profile', 'homefort' ),
											'social'  => esc_html__( 'Social Icon', 'homefort' ),
											'button'  => esc_html__( 'Button', 'homefort' ),
										),
									)
								),
								'choices'      => array(
									'basket'  => array(
										'count'    => array(
											'label' => esc_html__( 'Count Label', 'homefort' ),
											'type'    => 'select',
											'choices' => array(
												'show' => esc_html__( 'Always show', 'homefort' ),
												'show-full' => esc_html__( 'Show for non-empty cart', 'homefort' ),
												'hide'  => esc_html__( 'Hide', 'homefort' ),
											),
											'value' => 'show',
										),											
									),
									'search'  => array(
										'source'    => array(
											'label' => esc_html__( 'Source', 'homefort' ),
											'type'    => 'select',
											'choices' => array(
												'default' => esc_html__( 'All Pages', 'homefort' ),
												'woocommerce'  => esc_html__( 'WooCommerce Products', 'homefort' ),
											),
											'value' => 'default',
										),												
									),
									'social'  => array(
					                    'text' => array(
					                        'label' => esc_html__( 'Header', 'homefort' ),
					                        'type' => 'text',
					                    ),				                    
					                    'href' => array(
					                        'label' => esc_html__( 'External Link', 'homefort' ),
					                        'type' => 'text',
					                        'value' => '#',
					                    ),											
									),		
									'button'  => array(
					                    'text' => array(
					                        'label' => esc_html__( 'Header', 'homefort' ),
					                        'type' => 'text',
					                    ),				                    
					                    'href' => array(
					                        'label' => esc_html__( 'External Link', 'homefort' ),
					                        'type' => 'text',
					                        'value' => '#',
					                    ),											
									),										
								),
								'show_borders' => false,
							),	  														                	
							'icon-type'        => array(
								'type'         => 'multi-picker',
								'label'        => false,
								'desc'         => false,
								'value'        => array(
									'icon_radio' => 'default',
								),
								'picker'       => array(
									'icon_radio' => array(
										'label'   => esc_html__( 'Icon', 'homefort' ),
										'type'    => 'radio',
										'choices' => array(
											'default'  => esc_html__( 'Default', 'homefort' ),
											'fa' => esc_html__( 'Custom', 'homefort' )
										),
										'desc'    => esc_html__( 'For social icons you need to use FontAwesome in any case.',
											'homefort' ),
									)
								),
								'choices'      => array(
									'default'  => array(
									),
									'fa' => array(
										'icon_v2'  => array(
											'type'  => 'icon-v2',
											'label' => esc_html__( 'Select Icon', 'homefort' ),
										),										
									),
								),
								'show_borders' => false,
							),
							'icon-header'        => array(
								'label'   => esc_html__( 'Show Header', 'homefort' ),
								'type'    => 'switch',
							),								
		                ),
                		'template' => '{{- type.type_radio }}',		                
                    ),
					'navbar-add-icons' => array(
		                'label' => esc_html__( 'Navbar Additional Icons', 'homefort' ),
		                'desc' => esc_html__( 'Displayed additionaly to icons in inner navbars', 'homefort' ),
		                'type' => 'addable-box',
		                'value' => array(),
		                'box-options' => array(
							'type' => array(
								'label'   => esc_html__( 'Type', 'homefort' ),
								'type'    => 'radio',
								'value'	=>	'social',
								'choices' => array(
									'social'  => esc_html__( 'Social Icon', 'homefort' ),
									'button'  => esc_html__( 'Button', 'homefort' ),
								),
							),
				            'text' => array(
		                        'label' => esc_html__( 'Header', 'homefort' ),
		                        'type' => 'text',
		                    ),				                    
		                    'href' => array(
		                        'label' => esc_html__( 'External Link', 'homefort' ),
		                        'type' => 'text',
		                        'value' => '#',
		                    ),
							'icon'  => array(
								'type'  => 'icon-v2',
								'label' => esc_html__( 'Select Icon', 'homefort' ),
							),
							'inner-only'  => array(
								'type'  => 'switch',
								'label' => esc_html__( 'Display only in inner pages', 'homefort' ),
							),												
		                ),
                		'template' => '{{- type }}',		                
                    ),
					'tagline'    => array(
						'label' => esc_html__( 'Header Tagline', 'homefort' ),
						'desc'  => esc_html__( 'Visible on left side of homepage slider', 'homefort' ),
						'type'  => 'text',
					),
					'tagline-short'    => array(
						'label' => esc_html__( 'Header Short Tagline', 'homefort' ),
						'desc'  => esc_html__( 'Visible on left side of inner page header', 'homefort' ),
						'type'  => 'text',
					),							
				),
			),
			'header-box-1' => array(
				'title'   => esc_html__( 'Page Header H1', 'homefort' ),
				'type'    => 'tab',
				'options' => array(
					'breadcrubms'    => array(
						'label' => esc_html__( 'Breadcrumbs', 'homefort' ),
						'html' => esc_html__( 'To hide breadcrubms you can disable Breadcrumbs plugin from plugins menu.', 'homefort' ),
						'type'  => 'html',
					),						
					'pageheader-display'    => array(
						'label' => esc_html__( 'Page Header Visibility', 'homefort' ),
						'desc'   => esc_html__( 'Status of Page Header with H1 and Breadcrumbs', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'default' => esc_html__( 'Default', 'homefort' ),
							'disabled'  => esc_html__( 'Force Hidden on all Pages', 'homefort' ),
						),
						'value' => 'fixed',
					),		
					'pageheader-overlay'    => array(
						'label' => esc_html__( 'Page Header Overlay', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'enabled' => esc_html__( 'Enabled', 'homefort' ),
							'disabled'  => esc_html__( 'Disabled', 'homefort' ),
						),
						'value' => 'enabled',
					),	
					'header_fixed'    => array(
						'label' => esc_html__( 'Background parallax', 'homefort' ),
						'desc'   => esc_html__( 'Parallax effect requires large images', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'disabled' => esc_html__( 'Disabled', 'homefort' ),
							'fixed'  => esc_html__( 'Enabled', 'homefort' ),
						),
						'value' => 'fixed',
					),														
					'header-social'    => array(
						'label' => esc_html__( 'Social icons in page header', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'disabled'  => esc_html__( 'Disabled', 'homefort' ),
							'enabled' => esc_html__( 'Enabled', 'homefort' ),
						),
						'value' => 'enabled',
					),	
					'header-bg' => array(
						'title'   => esc_html__( 'Header Background', 'homefort' ),
						'type'    => 'box',
						'options' => array(			
							'header_waves_bg'    => array(
								'label' => esc_html__( 'Page Header Bottom Background', 'homefort' ),
								'desc'  => esc_html__( 'Waves / Pattern displayed at the bottom of page header', 'homefort' ),
								'type'  => 'upload',
							),  								
							'header_bg'    => array(
								'label' => esc_html__( 'Page Header Default Background', 'homefort' ),
								'desc'  => esc_html__( 'Default Page Header for all pages, can be overriden by the settings above', 'homefort' ),
								'type'  => 'upload',
							),  							
							'featured'    => array(
								'label' => esc_html__( 'Featured Images as Background', 'homefort' ),
								'type'    => 'checkboxes',						
								'choices' => array(
									'pages'  => esc_html__( 'Pages', 'homefort' ),
									'posts'  => esc_html__( 'Blog Posts', 'homefort' ),
									'services'  => esc_html__( 'Services', 'homefort' ),
//									'learnpress'  => esc_html__( 'LearnPress', 'homefort' ),
									'woocommerce'  => esc_html__( 'WooCommerce Products', 'homefort' ),
									'woocommerce-cat'  => esc_html__( 'WooCommerce Categories / Tags', 'homefort' ),
								),
							    'value' => array(
							        'pages' => true,
							    ),								
							),										
							'wc-bg'    => array(
								'label' => '',
								'html' => esc_html__( 'To set separate default background for WooCommerce pages assign it to the Pages -> Shop as Featured Image', 'homefort' ),
								'type'  => 'html',
							),												
							'wc-bg-2'    => array(
								'label' => '',
								'html' => esc_html__( 'Note: WooCommerce Products and Categories have additional "Page Header Background" field, which may override header background', 'homefort' ),
								'type'  => 'html',
							),								
						)
					),
				),
			),
		),
	),	
);

unset($options['header']['options']['header-box-icons']['options']['tagline']);


