<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }

$homefort_choices =  array();
$homefort_choices['default'] = esc_html__( 'Default', 'homefort' );

$homefort_color_schemes = fw_get_db_settings_option( 'items' );
if ( !empty($homefort_color_schemes) ) {

	foreach ($homefort_color_schemes as $v) {

		$homefort_choices[$v['slug']] = esc_html( $v['name'] );
	}
}

$homefort_theme_config = homefort_theme_config();
$homefort_sections_list = homefort_get_sections();


$options = array(
	'general' => array(
		'title'   => esc_html__( 'Page settings', 'homefort' ),
		'type'    => 'box',
		'options' => array(		
			'general-box' => array(
				'title'   => __( 'General Settings', 'homefort' ),
				'type'    => 'tab',
				'options' => array(

					'margin-layout'    => array(
						'label' => esc_html__( 'Content Margin', 'homefort' ),
						'type'    => 'select',
						'desc'   => esc_html__( 'Margins control for content', 'homefort' ),
						'choices' => array(
							'default'  => esc_html__( 'Top And Bottom', 'homefort' ),
							'top'  => esc_html__( 'Top Only', 'homefort' ),
							'bottom'  => esc_html__( 'Bottom Only', 'homefort' ),
							'top-small'  => esc_html__( 'Top Small', 'homefort' ),
							'disabled' => esc_html__( 'Margin Removed', 'homefort' ),
						),
						'value' => 'default',
					),			
					'topbar-layout'    => array(
						'label' => esc_html__( 'Topbar section', 'homefort' ),
						'desc' => esc_html__( 'You can edit it in Sections menu of dashboard.', 'homefort' ),
						'type'    => 'select',
						'choices' => array('default' => 'Default') + array('hidden' => 'Hidden') + $homefort_sections_list['top_bar'],						
						'value'	=> 'default',
					),						
					'navbar-layout'    => array(
						'label' => esc_html__( 'Navbar', 'homefort' ),
						'type'    => 'select',
						'choices' => array( 'default'  	=> esc_html__( 'Default', 'homefort' ) ) + $homefort_theme_config['navbar'] + array( 'disabled'  	=> esc_html__( 'Hidden', 'homefort' ) ),
						'value' => $homefort_theme_config['navbar-default'],
					),								
					'header-layout'    => array(
						'label' => esc_html__( 'Page Header', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'default'  => esc_html__( 'Default', 'homefort' ),
							'disabled' => esc_html__( 'Hidden', 'homefort' ),
						),
						'value' => 'default',
					),						
					'subscribe-layout'    => array(
						'label' => esc_html__( 'Subscribe Block', 'homefort' ),
						'type'    => 'select',
						'desc'   => esc_html__( 'Subscribe block before footer. Can be edited from Sections Menu.', 'homefort' ),
						'choices' => array(
							'default'  => esc_html__( 'Default', 'homefort' ),
							'disabled' => esc_html__( 'Hidden', 'homefort' ),
						),
						'value' => 'default',
					),		
					'before-footer-layout'    => array(
						'label' => esc_html__( 'Before Footer', 'homefort' ),
						'type'    => 'select',
						'desc'   => esc_html__( 'Before footer sections. Edited in Sections menu.', 'homefort' ),
						'choices' => array(
							'default'  => esc_html__( 'Visible', 'homefort' ),
							'disabled' => esc_html__( 'Hidden', 'homefort' ),
						),
						'value' => 'disabled',
					),	
					'footer-layout'    => array(
						'label' => esc_html__( 'Footer', 'homefort' ),
						'type'    => 'select',
						'desc'   => esc_html__( 'Footer block before footer. Edited in Widgets menu.', 'homefort' ),
						'choices' => $homefort_theme_config['footer'] + array( 'disabled'  	=> esc_html__( 'Hidden', 'homefort' ) ),
						'value' => $homefort_theme_config['footer-default'],
					),	
					'footer-parallax'    => array(
						'label' => esc_html__( 'Footer Parallax', 'homefort' ),
						'type'    => 'select',
						'desc'   => esc_html__( 'Footer block parallax effect.', 'homefort' ),
						'choices' => array(
							'default'  => esc_html__( 'Default', 'homefort' ),
							'disabled' => esc_html__( 'Disabled', 'homefort' ),
						),
						'value' => 'default',
					),																			
					'color-scheme'    => array(
						'label' => esc_html__( 'Color Scheme', 'homefort' ),
						'type'    => 'select',
						'choices' => $homefort_choices,
						'value' => 'default',
					),		
					'body-bg'    => array(
						'label' => esc_html__( 'Background Scheme', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'default'  	=> esc_html__( 'Default', 'homefort' ),
							'main'  	=> esc_html__( 'Black', 'homefort' ),
						),
						'value' => 'default',
					),														
					'background-image'    => array(
						'label' => esc_html__( 'Full Page Background Image', 'homefort' ),
						'type'  => 'upload',
						'desc'   => esc_html__( 'Will be used to fill whole page', 'homefort' ),
					),	
					'subscribe-image'    => array(
						'label' => esc_html__( 'Subscribe Background Image', 'homefort' ),
						'type'  => 'upload',
					),						
					'direction'    => array(
						'label' => esc_html__( 'Direction', 'homefort' ),
						'desc'   => esc_html__( 'Used to create certain page with unique text direction', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'default'  	=> esc_html__( 'Default', 'homefort' ),
							'ltr'  		=> esc_html__( 'LTR', 'homefort' ),
							'rtl'  		=> esc_html__( 'RTL', 'homefort' ),
						),
						'value' => 'default',
					),																	
				),											
			),	
			'cpt' => array(
				'title'   => esc_html__( 'Blog / Gallery', 'homefort' ),
				'type'    => 'tab',
				'options' => array(				
					'sidebar-layout'    => array(
						'label' => esc_html__( 'Blog Sidebar', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'hidden' => esc_html__( 'Hidden', 'homefort' ),
							'left'  => esc_html__( 'Sidebar Left', 'homefort' ),
							'right'  => esc_html__( 'Sidebar Right', 'homefort' ),
						),
						'value' => 'hidden',
					),						
					'blog-layout'    => array(
						'label' => esc_html__( 'Blog Layout', 'homefort' ),
						'description'   => esc_html__( 'Used only for blog pages.', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'default'  => esc_html__( 'Default', 'homefort' ),
							'classic'  => esc_html__( 'One Column', 'homefort' ),
							'two-cols' => esc_html__( 'Two Columns', 'homefort' ),
							'three-cols' => esc_html__( 'Three Columns', 'homefort' ),
						),
						'value' => 'default',
					),
					'gallery-layout'    => array(
						'label' => esc_html__( 'Gallery Layout', 'homefort' ),
						'description'   => esc_html__( 'Used only for gallery pages.', 'homefort' ),
						'type'    => 'select',
						'choices' => array(
							'default' => esc_html__( 'Default', 'homefort' ),
							'col-2' => esc_html__( 'Two Columns', 'homefort' ),
							'col-3' => esc_html__( 'Three Columns', 'homefort' ),
							'col-4' => esc_html__( 'Four Columns', 'homefort' ),
						),
						'value' => 'default',
					),					
				)
			)	
		)
	),
);

unset($options['general']['options']['general-box']['options']['footer-parallax']);

